Get employees
curl --request GET \
--url https://pre-partners-api.cobee.io/api/v3/companies/{companyId}/employees \
--header 'Authorization: Bearer <token>'import requests
url = "https://pre-partners-api.cobee.io/api/v3/companies/{companyId}/employees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pre-partners-api.cobee.io/api/v3/companies/{companyId}/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"employees": [
{
"id": "<string>",
"email": "jsmith@example.com",
"legalId": "<string>",
"name": "<string>",
"surname": "<string>",
"birthDate": "2023-12-25",
"grossSalary": {
"amountInCents": 4500000,
"currency": "EUR"
},
"hiringDate": "2023-12-25",
"workdayConfiguration": {
"daysPerMonth": 22,
"workTimePercentage": 100,
"numberOfPaychecks": 14,
"collectiveAgreementSalary": {
"amountInCents": 3800000,
"currency": "EUR"
}
},
"internalId": "<string>",
"modelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"costCenter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"payrollCompany": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"metadata": {}
}
],
"page": {
"size": 123,
"totalElements": 123,
"totalPages": 123,
"number": 123
}
}{
"message": "Internal server error"
}Employees
Get employees
GET
/
companies
/
{companyId}
/
employees
Get employees
Overview
This endpoint allows you to retrieve detailed information about all employees in the Cobee system. It returns comprehensive data including personal information, salary details, workday configuration, and benefit-related information.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the company
Query Parameters
Employee email to filter by
Employee legal ID to filter by
Employee internal ID to filter by
Employee state to filter by
Available options:
not-active, active, removed, blocked Page number to retrieve. Defaults to 1.
Required range:
x >= 1Max number of items per page. Must be greater than 0. Defaults to 250.
Required range:
x >= 1⌘I